Page MenuHomePhabricator

Improve recovery from panel action rendering exceptions, and mark "Changeset" queries as not suitable for panel generation
ClosedPublic

Authored by epriestley on Nov 9 2019, 1:12 AM.
Tags
None
Referenced Files
F13343557: D20902.diff
Fri, Jun 21, 3:17 AM
F13301553: D20902.diff
Fri, Jun 7, 11:51 PM
F13291769: D20902.id49820.diff
Wed, Jun 5, 12:42 AM
F13289820: D20902.id49820.diff
Tue, Jun 4, 1:31 PM
F13193047: D20902.id49820.diff
May 12 2024, 11:49 AM
Unknown Object (File)
May 7 2024, 7:05 AM
Unknown Object (File)
May 6 2024, 11:13 PM
Unknown Object (File)
May 1 2024, 10:28 AM
Subscribers
None

Details

Summary

Fixes T13443. When a panel raises an exception during edit action generation, it currently escapes to top level. Instead, catch it more narrowly.

Additionally, mark "ChangesetSearchEngine" as not being a suitable search engine for use in query panels. There's no list view or search URI so it can't generate a sensible panel.

Test Plan
  • Added a changeset panel to a dashboard.
  • Before: entire dashboard fataled.
  • After: panel fataled narrowly, menu fatals narrowly, dashboard no longer permits creation of another Changeset query panel.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Nov 9 2019, 1:13 AM
epriestley requested review of this revision.
This revision was automatically updated to reflect the committed changes.